Bug 694965

Summary: SELinux problem prevents normal starting after preupgrade from Fedora 14 to Fedora 15
Product: [Fedora] Fedora Reporter: Jan Vlug <jan.public>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 14CC: a4, richard
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 11:17:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jan Vlug 2011-04-09 04:56:44 EDT
Description of problem:
On Fedora 14 I updated preupgrade from the testing repository in order to be able to preupgrade to Fedora 15. After doing the preupgrade and reboot the system does not boot anymore.

Steps to Reproduce:
1. Do a preupgrade from Fedora 14 to Fedora 15
2. After downloading and installing the packages reboot
  
Actual results:
The fedora white logo shows up and if filling slowly to white, and after a long time shows up correctly, but no login screen is presented.

Expected results:
A normal login window.

Additional info:
These messages are visible on the console when I hit 'Esc' while booting:
SELinux: Could not open policy file <= /etc/selinux/targeted/policy/policy.24:  No such file or directory
Failed to load SELinux policy.
(This is showing 9 times)
And after a while:
plymouthd: ply-array.c:82: ply_array_get_size: Assertion `array->element_type == PLY_ARRAY_ELEMENT_TYPE+POINTER || array->element_type == PLY_ARRAY_ELEMENT_TYPE_UINT32' failed.

After a while, I cannot switch back to the logo screen with 'Esc' anymore.
I cannot open a console with Ctrl+Alt+Fn.
Comment 1 Jan Vlug 2011-04-09 05:07:42 EDT
I added selinux=0 to the boot parameters, and now my systems shows the login screen again.
Comment 2 Flemming 2011-08-20 17:44:32 EDT
I have the very same error. But adding selinux=0 did not change anything.

Still can't boot after upgrade from FC14 to FC15. And when I finally force a text login using Ctrl-Alt-F2 I can only use GNOME now - KDE seems all gone.

And boot takes 17 minutes before last line is showed and process hangs (FC14 used to boot in approx. 3 minutes). I wish I could go back to FC14 easily.

Any other suggestions on how to get login screen again?

I have the following plymouth packages installed

plymouth-core-libs-0.8.4-0.20110510.2.fc15.i686
plymouth-system-theme-0.8.4-0.20110510.2.fc15.i686
plymouth-theme-charge-0.8.4-0.20110510.2.fc15.i686
plymouth-graphics-libs-0.8.4-0.20110510.2.fc15.i686
plymouth-0.8.4-0.20110510.2.fc15.i686
plymouth-scripts-0.8.4-0.20110510.2.fc15.i686
plymouth-plugin-two-step-0.8.4-0.20110510.2.fc15.i686
plymouth-plugin-label-0.8.4-0.20110510.2.fc15.i686
Comment 3 Flemming 2011-08-21 05:01:11 EDT
I have the very same error. But adding selinux=0 did not change anything.

Still can't boot after upgrade from FC14 to FC15. And when I finally force a text login using Ctrl-Alt-F2 I can only use GNOME now - KDE seems all gone.

And boot takes 17 minutes before last line is showed and process hangs (FC14 used to boot in approx. 3 minutes). I wish I could go back to FC14 easily.

Any other suggestions on how to get login screen again?

I have the following plymouth packages installed

plymouth-core-libs-0.8.4-0.20110510.2.fc15.i686
plymouth-system-theme-0.8.4-0.20110510.2.fc15.i686
plymouth-theme-charge-0.8.4-0.20110510.2.fc15.i686
plymouth-graphics-libs-0.8.4-0.20110510.2.fc15.i686
plymouth-0.8.4-0.20110510.2.fc15.i686
plymouth-scripts-0.8.4-0.20110510.2.fc15.i686
plymouth-plugin-two-step-0.8.4-0.20110510.2.fc15.i686
plymouth-plugin-label-0.8.4-0.20110510.2.fc15.i686
Comment 4 Fedora End Of Life 2012-08-16 11:17:53 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping